div
    .upload-document.mb-4(v-if="!status")
        div
            div.small.mb-3(v-if="document.uuid && !filePreview") Cargando documento...
            img.w-25.mb-3(v-else-if="document.uuid && filePreview" :src="filePreview")
            .alert.alert-info.small Por favor, suba el documento '{{ $t(`documents.subcategories.${document.key_subcategory}`) }}'
            .dropbox.mb-3
                input#file.input-file(
                    ref="filesRef"
                    type='file'
                    @change='onFileChange'
                    :accept='formatsAcceptedInFileInput'
                    )
                .text(v-if="!hasDocuments")
                    | Arrastra aquí los archivos
                    p.small Formatos aceptados: {{formatsAcceptedInFileInput}} - Tamaño máximo: {{maxSize / 1024 / 1024}} MB
                    span.up o súbelos
                .text(v-else)
                    span(v-if="filesArray.length === 1") {{ filesArray[0].name }}
                    span(v-else) {{ filesArray.length }} archivos seleccionados
                .e-btn.e-btn__brand.upload-document__button(@click="$refs.filesRef.click()")
                    i.far.fa-plus-circle.mr-3
                    | Añadir archivos

    .alert.alert-success.d-flex.align-items-center(v-else-if="status === 'OK'")
        i.fal.fa-check-circle
        .ml-2.small Archivo enviado correctamente
    .alert.alert-danger.d-flex.align-items-center.justify-content-between(v-else="status === 'KO'")
        div
            i.fal.fa-exclamation-triangle
            .ml-2.small Se ha producido un error al enviar el archivo
        small.cursor-pointer(@click="status = null") Intentar de nuevo
    //- .text-center(v-if="!hasDocuments")
    //-     span.small.cursor-pointer.color-hover-brand(@click="$emit('cancel')") Cancelar

    //- Listado de archivos
    div.mt-5(v-if="hasDocuments && !loading")
        div.mb-3(v-for="(image, key) in filesArray" :key="key")
            .d-flex.align-items-center
                img.c-import-config__preview(
                    v-if="image.type === 'image/jpeg' || image.type === 'image/png' || image.type === 'image/gif'"
                    :ref="'image'"
                )
                .text-center.c-import-config__preview(v-else)
                    i.fal.fa-file-pdf.fa-2x
                b-form-input.mx-3(
                    v-model="filenamesArray[key]"
                    :placeholder="filesArray[key].filename"
                )
                i.far.fa-trash.cursor-pointer.color-hover-error(@click="removeFile()")
    .d-flex.justify-content-end.mt-5(v-if="hasDocuments")
        span(
            v-if="!loading"
            class="e-btn e-btn__brand"
            @click="uploadFile()"
        ) Subir documento
        span(
            v-else
            class="e-btn e-btn__brand"
        )
            i.fas.fa-circle-notch.fa-spin

        hr
//-         b-form-checkbox(
//-             v-if="action('DOCUMENT_VALIDATION')"
//-             v-model="validated"
//-             name="check-button"
//-             switch
//-         ) Validar documentos

//-         .text-right
//-             YuriButton.mr-3(
//-                 :solid="false"
//-                 @click.native="$emit('cancel')"
//-                 text="Cancelar"
//-                 type="danger"
//-                 v-if="!uploading"
//-                 size="sm"
//-             )
//-             YuriButton(
//-                 @click.native="doUpload"
//-                 size="sm"
//-                 text="Subir archivos"
//-                 v-if="!uploading"
//-             )
//-             YuriButton(
//-                 disabled
//-                 class="sm outline no-border"
//-                 text="Uploading..."
//-                 v-else
//-             )
